Bug 239787 - java/intellij-ultimate: Update to 2019.2
Summary: java/intellij-ultimate: Update to 2019.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-11 23:03 UTC by Dmitry Wagin
Modified: 2019-08-23 09:09 UTC (History)
3 users (show)

See Also:
andoriyu: maintainer-feedback+


Attachments
intellij-ultimate.diff.gz (141.65 KB, patch)
2019-08-11 23:05 UTC, Dmitry Wagin
no flags Details | Diff
intellij-ultimate.diff.gz (141.66 KB, patch)
2019-08-18 20:09 UTC, Dmitry Wagin
dmitry.wagin: maintainer-approval+
Details | Diff
Improvements (4.59 KB, patch)
2019-08-22 10:51 UTC, Alex Dupre
no flags Details | Diff
intellij-ultimate.diff (4.85 KB, patch)
2019-08-22 13:18 UTC, Dmitry Wagin
no flags Details | Diff
Improvements (4.59 KB, patch)
2019-08-22 16:25 UTC, Alex Dupre
ale: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2019-08-11 23:03:40 UTC
Update to 2019.2
Comment 1 Dmitry Wagin 2019-08-11 23:05:49 UTC
Created attachment 206456 [details]
intellij-ultimate.diff.gz
Comment 2 Andrey Cherkashin 2019-08-12 09:01:29 UTC
testport output is here: https://gist.github.com/24698cc69682e71726b01cd0f71db710
Comment 3 Dmitry Wagin 2019-08-18 20:09:32 UTC
Created attachment 206677 [details]
intellij-ultimate.diff.gz

Convert to UCL pkg-message
Comment 4 Koichiro Iwao freebsd_committer 2019-08-21 02:29:21 UTC
I wrote wrong PR number in the commit message. Committed.

https://svnweb.freebsd.org/changeset/ports/509486

BTW, you don't need to gz the diff.
Comment 5 Dmitry Wagin 2019-08-21 12:20:21 UTC
(In reply to Koichiro Iwao from comment #4)
File size limit: 1000 KB
Comment 6 Koichiro Iwao freebsd_committer 2019-08-21 14:50:21 UTC
(In reply to Dmitry Wagin from comment #5)
I see.
Comment 7 Alex Dupre freebsd_committer 2019-08-22 05:56:01 UTC
I'm not fully happy with this update, it brought in again a few issues of the intellij port that I already fixed in the intellij-ultimate port. I'll submit an additional patch soon.
Comment 8 Dmitry Wagin 2019-08-22 06:19:42 UTC
(In reply to Alex Dupre from comment #7)

Please describe what kind of issues is it?
Comment 9 Alex Dupre freebsd_committer 2019-08-22 09:26:48 UTC
I'll describe them soon. In the meantime can you tell me how did you create the pkg-plist? Both 'find -s` and 'sort' produce different ordering.
Comment 10 Dmitry Wagin 2019-08-22 09:30:34 UTC
(In reply to Alex Dupre from comment #9)

make makeplist
Comment 11 Alex Dupre freebsd_committer 2019-08-22 10:51:12 UTC
Created attachment 206785 [details]
Improvements

Here is my patch. Rationale:
1) drop dependency on intellij-pt4j port. That port should be removed, it includes an old pt4j version and the FreeBSD native library is already included in the upstream pty4j jar
2) install FreeBSD native library for jansi
3) fix the "Typeahead timeout is exceeded" error
4) general cleanup

As a side note, your change of the installation path is for a future removal of the CONFLICTS section or what else?
Comment 12 Dmitry Wagin 2019-08-22 13:18:46 UTC
Created attachment 206788 [details]
intellij-ultimate.diff

Minor changes to better corresponding with another Jetbrains ports.
Comment 13 Alex Dupre freebsd_committer 2019-08-22 13:33:28 UTC
Using COPYTREE_BIN for the the *.so files makes them executable.

I don't see why we need to separate the ${RM} of a few directories and include also non-existing ones.
Comment 14 Dmitry Wagin 2019-08-22 14:50:16 UTC
(In reply to Alex Dupre from comment #13)

Similar with another Jetbrains ports, еру world is not limited to this port.
Comment 15 Alex Dupre freebsd_committer 2019-08-22 14:54:03 UTC
I'm sorry, but I don't understand what you mean, what's the epy world?

The same changes are very likely directly applicable to the intellij community port, if that's what you are referring to.
Comment 16 Dmitry Wagin 2019-08-22 15:00:04 UTC
(In reply to Alex Dupre from comment #15)

epy = the

devel/jetbrains-clion
devel/jetbrains-goland
devel/jetbrains-phpstorm
devel/jetbrains-webstorm
java/intellij-rubymine
java/intellij-ultimate

same ports
Comment 17 Alex Dupre freebsd_committer 2019-08-22 15:41:18 UTC
I still don't get how this is addressing my comment 13, ie. that with your change the .so files would be executable and that there are separate RM lines for non-existing directories.
Comment 18 Dmitry Wagin 2019-08-22 16:01:23 UTC
(In reply to Alex Dupre from comment #17)

The .so files are the same settings as on other library files, but it does not matter. Separate RM, because this is what differentiate it from other ports.

What "non-existing directories" are we talking about?
Comment 19 Alex Dupre freebsd_committer 2019-08-22 16:25:27 UTC
Created attachment 206790 [details]
Improvements

I suggest to replace COPYTREE_BIN with COPYTREE_SHARE to install the .so files, so that they keep the correct permissions. I'm fine to have it on a separate line in order to keep the initial COPYTREE_SHARE consistent with other ports.

Regarding the non-existing directories, since we download the tarball with -no-jbr these two lines are useless:

	# Remove bundled linux JetBrains Runtime and OpenJDK
	@${RM} -r ${WRKSRC}/jbr ${WRKSRC}/jre64


I've updated the patch accordingly.
Comment 20 Andrey Cherkashin 2019-08-22 19:05:58 UTC
Comment on attachment 206790 [details]
Improvements

I was wondering about that jbr folder since we download `no-jbr` tarball.
Comment 21 Andrey Cherkashin 2019-08-22 19:46:49 UTC
(In reply to Dmitry Wagin from comment #5)
You can paste a link to diff somewhere else there.
Comment 22 Dmitry Wagin 2019-08-22 23:41:34 UTC
(In reply to Alex Dupre from comment #19)

LGTM
Comment 23 commit-hook freebsd_committer 2019-08-23 09:08:57 UTC
A commit references this bug:

Author: ale
Date: Fri Aug 23 09:08:53 UTC 2019
New revision: 509636
URL: https://svnweb.freebsd.org/changeset/ports/509636

Log:
  Various improvements:
  - remove unneeded intellij-pty4j dependency
  - install native library for jansi
  - fix the "Typeahead timeout is exceeded" error
  - general cleanup

  PR:		239787

Changes:
  head/java/intellij-ultimate/Makefile
  head/java/intellij-ultimate/files/pkg-message.in
  head/java/intellij-ultimate/pkg-plist